#include "skunkworks.h"

#include <assert.h>

#include "types.h"

void assert_types();

void sw_init() {
	assert_types();
}

/* private */

void assert_types() {
	assert(sizeof(i8) == 1);
	assert(sizeof(u8) == 1);
	assert(sizeof(i16) == 2);
	assert(sizeof(u16) == 2);
	assert(sizeof(i32) == 4);
	assert(sizeof(u32) == 4);
	assert(sizeof(i64) == 8);
	assert(sizeof(u64) == 8);
	assert(sizeof(f32) == 4);
	assert(sizeof(f64) == 8);
}
